[SRU] 2.32.9

Bug #1767833 reported by Michael Vogt on 2018-04-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog is available here https://github.com/snapcore/snapd/blob/2.32.9/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.32.9 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.32.9 can be found here: https://travis-ci.org/snapcore/snapd/branches

We currently have no autopkgtest logs before snapd hits -proposed because we got asked to disable our autopkgtest integration as it was using too many resources from the autopkgtest infrastructure.

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Michael Vogt (mvo) wrote :

This is uploaded now.

Michael Vogt (mvo) on 2018-05-07
summary: - [SRU] 2.32.6
+ [SRU] 2.32.7
description: updated

This bug was fixed in the package snapd - 2.32.6+18.10ubuntu2

---------------
snapd (2.32.6+18.10ubuntu2) cosmic; urgency=medium

  * cherry-pick https://github.com/snapcore/snapd/pull/5136 to
    unblock autopkgtests harder

 -- Michael Vogt <email address hidden> Mon, 07 May 2018 08:10:00 +0200

Changed in snapd (Ubuntu):
status: New → Fix Released
Michael Vogt (mvo) on 2018-05-11
summary: - [SRU] 2.32.7
+ [SRU] 2.32.8
description: updated

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.8+18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic

We have a .5 pending in -proposed for artful, xenial, and trusty. We will release those early next week and then .8 will follow there.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

This bug was fixed in the package snapd - 2.32.8+18.04

---------------
snapd (2.32.8+18.04) bionic; urgency=medium

  * New upstream release, LP: #1767833

 -- Michael Vogt <email address hidden> Fri, 11 May 2018 14:36:16 +0200

Changed in snapd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Michael Vogt (mvo) on 2018-05-16
summary: - [SRU] 2.32.8
+ [SRU] 2.32.9
description: updated

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.9+18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Bionic):
status: Fix Released → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.9+17.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.9~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done verification-done-artful verification-done-bionic verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-bionic verification-needed-trusty verification-needed-xenial
Brian Murray (brian-murray) wrote :

The test result document is not publicly accessible and we should be transparent about the Stable Release Update process. Could you make the test results public?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9+18.04

---------------
snapd (2.32.9+18.04) bionic; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9+17.10

---------------
snapd (2.32.9+17.10) artful; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9

---------------
snapd (2.32.9) xenial; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9~14.04

---------------
snapd (2.32.9~14.04) trusty; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers